package ru.dbotthepony.kstarbound.world.entities.api

interface InspectableEntity {
	/**
	 * Default implementation returns true
	 */
	val isInspectable: Boolean
		get() = true

	/**
	 * If this entity can be entered into the player log, will return the log identifier.
	 */
	val inspectionLogName: String?
		get() = null

	/**
	 * Long description to display when inspected, if any
	 */
	fun inspectionDescription(species: String?): String? {
		return null
	}
}
